List channel videos
curl --request GET \
--url https://api.video2ctx.dev/v1/providers/{provider}/channels/{id}/videos \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.video2ctx.dev/v1/providers/{provider}/channels/{id}/videos', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.video2ctx.dev/v1/providers/{provider}/channels/{id}/videos"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"channelId": "<string>",
"sort": "latest",
"videos": [
{
"type": "video",
"id": "dQw4w9WgXcQ",
"title": "<string>",
"channel": {
"id": "<string>",
"name": "<string>",
"url": "<string>"
},
"thumbnails": [
{
"url": "<string>",
"width": 1,
"height": 1
}
],
"isLive": true,
"url": "<string>",
"description": "<string>",
"durationSeconds": 1,
"durationText": "<string>",
"publishedTimeText": "<string>",
"viewCount": 1,
"viewCountText": "<string>",
"hasCaptions": true
}
],
"meta": {
"provider": "youtube",
"source": "video2ctx",
"fetchedAt": "2023-11-07T05:31:56Z",
"partial": true,
"warnings": [
"<string>"
]
},
"continuation": "<string>"
}{
"error": {
"code": "QUERY_REQUIRED",
"message": "<string>",
"details": "<unknown>",
"requestId": "<string>"
}
}{
"error": {
"code": "QUERY_REQUIRED",
"message": "<string>",
"details": "<unknown>",
"requestId": "<string>"
}
}{
"error": {
"code": "QUERY_REQUIRED",
"message": "<string>",
"details": "<unknown>",
"requestId": "<string>"
}
}{
"error": {
"code": "QUERY_REQUIRED",
"message": "<string>",
"details": "<unknown>",
"requestId": "<string>"
}
}{
"error": {
"code": "QUERY_REQUIRED",
"message": "<string>",
"details": "<unknown>",
"requestId": "<string>"
}
}Channels
List channel videos
GET
/
v1
/
providers
/
{provider}
/
channels
/
{id}
/
videos
List channel videos
curl --request GET \
--url https://api.video2ctx.dev/v1/providers/{provider}/channels/{id}/videos \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.video2ctx.dev/v1/providers/{provider}/channels/{id}/videos', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.video2ctx.dev/v1/providers/{provider}/channels/{id}/videos"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"channelId": "<string>",
"sort": "latest",
"videos": [
{
"type": "video",
"id": "dQw4w9WgXcQ",
"title": "<string>",
"channel": {
"id": "<string>",
"name": "<string>",
"url": "<string>"
},
"thumbnails": [
{
"url": "<string>",
"width": 1,
"height": 1
}
],
"isLive": true,
"url": "<string>",
"description": "<string>",
"durationSeconds": 1,
"durationText": "<string>",
"publishedTimeText": "<string>",
"viewCount": 1,
"viewCountText": "<string>",
"hasCaptions": true
}
],
"meta": {
"provider": "youtube",
"source": "video2ctx",
"fetchedAt": "2023-11-07T05:31:56Z",
"partial": true,
"warnings": [
"<string>"
]
},
"continuation": "<string>"
}{
"error": {
"code": "QUERY_REQUIRED",
"message": "<string>",
"details": "<unknown>",
"requestId": "<string>"
}
}{
"error": {
"code": "QUERY_REQUIRED",
"message": "<string>",
"details": "<unknown>",
"requestId": "<string>"
}
}{
"error": {
"code": "QUERY_REQUIRED",
"message": "<string>",
"details": "<unknown>",
"requestId": "<string>"
}
}{
"error": {
"code": "QUERY_REQUIRED",
"message": "<string>",
"details": "<unknown>",
"requestId": "<string>"
}
}{
"error": {
"code": "QUERY_REQUIRED",
"message": "<string>",
"details": "<unknown>",
"requestId": "<string>"
}
}Authorizations
bearerApiKeysessionCookiecliSessionapiKeydemoUser
Permanent personal API key created in the dashboard. Example: curl -H "Authorization: Bearer aty_…" https://your-host/v1/projects
Path Parameters
External video provider.
Available options:
youtube Example:
"youtube"
Provider channel ID or handle.
Minimum string length:
1Example:
"@YouTube"
Query Parameters
YouTube Videos-tab ordering.
Available options:
latest, popular, oldest Opaque token returned by the previous channel videos response.